Subject: [bug#56204] Add guile-goblins

From: Maxime Devos <[email-masked]>
Date: Fri, 24 Jun 2022 23:57:58 +0200

Christine Lemmer-Webber schreef op vr 24-06-2022 om 17:24 [-0400]:
> +    (arguments
> +     `(#:phases
> +       (modify-phases %standard-phases
> +         (replace 'bootstrap
> +           (lambda _
> +             (invoke "autoreconf" "-vif"))))

I don't know if it works in this particular case, but I thought that
normally 'bootstrap' would automatically do that already?

> +       #:make-flags
> +       ,#~(list "GUILE_AUTO_COMPILE=0")))

Nesting different forms of quasiquotation seems to be disliked (at
least according to a mini poll I did on #guix some time ago),
apparently

(arguments
  (list #:phases
        #~(modify-phases ...)
        #:make-flags
        #~(list ...)))

seems to be the way to go?

> +    (native-inputs
> +     (list autoconf automake pkg-config texinfo))
> +    (inputs
> +     `(("guile" ,guile-3.0)))

Can be simplified to (inputs (list guile-3.0))?

> +     "@code{guile-goblins} is the Guile version of
> + @url{https://spritely.institute/goblins, Spritely Goblins},
> +a transactional, distributed programming environment following object
> +capability security designs.  Goblins is a general toolkit, and also
> +the core layer of Spritely's work to support healthy distributed
> +networked communities.")

Maybe mention that it can network with non-Guile goblin peers as well
(e.g. Racket?), assuming that's correct?

Greetings,
Maxime.